package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_order_member
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsOrderMember implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 交易订单号
     */
    private String orderNo;

    /**
     * 子订单号
     */
    private String childOrderNo;

    /**
     * 商户id
     */
    private Long merId;

    /**
     * 登录平台code
     */
    private String platformCode;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户手机号
     */
    private String userPhone;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品类型id
     */
    private Long goodsTypeId;

    /**
     * 商品类型名称
     */
    private String goodsTypeName;

    /**
     * 商品品牌id
     */
    private Long goodsBrandId;

    /**
     * 商品品牌名称
     */
    private String goodsBrandName;

    /**
     * 商品规格id
     */
    private Long goodsSpecsId;

    /**
     * 商品规格名称
     */
    private String goodsSpecsName;

    /**
     * 商品规格原价
     */
    private BigDecimal goodsSpescOriginalPrice;

    /**
     * 商品规格销售价
     */
    private BigDecimal goodsSpescSalePrice;

    /**
     * 商品虚拟id
     */
    private Long goodsVpdId;

    /**
     * 商品虚拟key
     */
    private String goodsVpdKey;

    /**
     * 商品虚拟来源
     */
    private Integer goodsVpdSource;

    /**
     * 商品数量
     */
    private Integer goodsCount;

    /**
     * 交易金额
     */
    private BigDecimal totalPrice;

    /**
     * 总优惠金额（优惠券优惠金额 + 积分抵扣）
     */
    private BigDecimal totalDeductionPrice;

    /**
     * 优惠券优惠金额
     */
    private BigDecimal couponDiscountPrice;

    /**
     * 积分抵扣优惠金额
     */
    private Long integralDiscountPrice;

    /**
     * 实付金额
     */
    private BigDecimal payRealPrice;

    /**
     * 支付渠道与bs_order订单表同步
     */
    private Integer payChannel;

    /**
     * 客户支付流水号
     */
    private String paySerialNo;

    /**
     * 支付方式与bs_order订单表同步
     */
    private Integer payType;

    /**
     * 状态与子订单状态同步
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 取消时间
     */
    private Date cancelTime;

    /**
     * 退款时间
     */
    private Date refundTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getChildOrderNo() {
        return childOrderNo;
    }

    public void setChildOrderNo(String childOrderNo) {
        this.childOrderNo = childOrderNo;
    }

    public Long getMerId() {
        return merId;
    }

    public void setMerId(Long merId) {
        this.merId = merId;
    }

    public String getPlatformCode() {
        return platformCode;
    }

    public void setPlatformCode(String platformCode) {
        this.platformCode = platformCode;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public Long getGoodsTypeId() {
        return goodsTypeId;
    }

    public void setGoodsTypeId(Long goodsTypeId) {
        this.goodsTypeId = goodsTypeId;
    }

    public String getGoodsTypeName() {
        return goodsTypeName;
    }

    public void setGoodsTypeName(String goodsTypeName) {
        this.goodsTypeName = goodsTypeName;
    }

    public Long getGoodsBrandId() {
        return goodsBrandId;
    }

    public void setGoodsBrandId(Long goodsBrandId) {
        this.goodsBrandId = goodsBrandId;
    }

    public String getGoodsBrandName() {
        return goodsBrandName;
    }

    public void setGoodsBrandName(String goodsBrandName) {
        this.goodsBrandName = goodsBrandName;
    }

    public Long getGoodsSpecsId() {
        return goodsSpecsId;
    }

    public void setGoodsSpecsId(Long goodsSpecsId) {
        this.goodsSpecsId = goodsSpecsId;
    }

    public String getGoodsSpecsName() {
        return goodsSpecsName;
    }

    public void setGoodsSpecsName(String goodsSpecsName) {
        this.goodsSpecsName = goodsSpecsName;
    }

    public BigDecimal getGoodsSpescOriginalPrice() {
        return goodsSpescOriginalPrice;
    }

    public void setGoodsSpescOriginalPrice(BigDecimal goodsSpescOriginalPrice) {
        this.goodsSpescOriginalPrice = goodsSpescOriginalPrice;
    }

    public BigDecimal getGoodsSpescSalePrice() {
        return goodsSpescSalePrice;
    }

    public void setGoodsSpescSalePrice(BigDecimal goodsSpescSalePrice) {
        this.goodsSpescSalePrice = goodsSpescSalePrice;
    }

    public Long getGoodsVpdId() {
        return goodsVpdId;
    }

    public void setGoodsVpdId(Long goodsVpdId) {
        this.goodsVpdId = goodsVpdId;
    }

    public String getGoodsVpdKey() {
        return goodsVpdKey;
    }

    public void setGoodsVpdKey(String goodsVpdKey) {
        this.goodsVpdKey = goodsVpdKey;
    }

    public Integer getGoodsVpdSource() {
        return goodsVpdSource;
    }

    public void setGoodsVpdSource(Integer goodsVpdSource) {
        this.goodsVpdSource = goodsVpdSource;
    }

    public Integer getGoodsCount() {
        return goodsCount;
    }

    public void setGoodsCount(Integer goodsCount) {
        this.goodsCount = goodsCount;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalDeductionPrice() {
        return totalDeductionPrice;
    }

    public void setTotalDeductionPrice(BigDecimal totalDeductionPrice) {
        this.totalDeductionPrice = totalDeductionPrice;
    }

    public BigDecimal getCouponDiscountPrice() {
        return couponDiscountPrice;
    }

    public void setCouponDiscountPrice(BigDecimal couponDiscountPrice) {
        this.couponDiscountPrice = couponDiscountPrice;
    }

    public Long getIntegralDiscountPrice() {
        return integralDiscountPrice;
    }

    public void setIntegralDiscountPrice(Long integralDiscountPrice) {
        this.integralDiscountPrice = integralDiscountPrice;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public Integer getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(Integer payChannel) {
        this.payChannel = payChannel;
    }

    public String getPaySerialNo() {
        return paySerialNo;
    }

    public void setPaySerialNo(String paySerialNo) {
        this.paySerialNo = paySerialNo;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public Date getRefundTime() {
        return refundTime;
    }

    public void setRefundTime(Date refundTime) {
        this.refundTime = refundTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsOrderMember other = (BsOrderMember) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrderNo() == null ? other.getOrderNo() == null : this.getOrderNo().equals(other.getOrderNo()))
            && (this.getChildOrderNo() == null ? other.getChildOrderNo() == null : this.getChildOrderNo().equals(other.getChildOrderNo()))
            && (this.getMerId() == null ? other.getMerId() == null : this.getMerId().equals(other.getMerId()))
            && (this.getPlatformCode() == null ? other.getPlatformCode() == null : this.getPlatformCode().equals(other.getPlatformCode()))
            && (this.getUserId() == null ? other.getUserId() == null : this.getUserId().equals(other.getUserId()))
            && (this.getUserPhone() == null ? other.getUserPhone() == null : this.getUserPhone().equals(other.getUserPhone()))
            && (this.getGoodsId() == null ? other.getGoodsId() == null : this.getGoodsId().equals(other.getGoodsId()))
            && (this.getGoodsName() == null ? other.getGoodsName() == null : this.getGoodsName().equals(other.getGoodsName()))
            && (this.getGoodsTypeId() == null ? other.getGoodsTypeId() == null : this.getGoodsTypeId().equals(other.getGoodsTypeId()))
            && (this.getGoodsTypeName() == null ? other.getGoodsTypeName() == null : this.getGoodsTypeName().equals(other.getGoodsTypeName()))
            && (this.getGoodsBrandId() == null ? other.getGoodsBrandId() == null : this.getGoodsBrandId().equals(other.getGoodsBrandId()))
            && (this.getGoodsBrandName() == null ? other.getGoodsBrandName() == null : this.getGoodsBrandName().equals(other.getGoodsBrandName()))
            && (this.getGoodsSpecsId() == null ? other.getGoodsSpecsId() == null : this.getGoodsSpecsId().equals(other.getGoodsSpecsId()))
            && (this.getGoodsSpecsName() == null ? other.getGoodsSpecsName() == null : this.getGoodsSpecsName().equals(other.getGoodsSpecsName()))
            && (this.getGoodsSpescOriginalPrice() == null ? other.getGoodsSpescOriginalPrice() == null : this.getGoodsSpescOriginalPrice().equals(other.getGoodsSpescOriginalPrice()))
            && (this.getGoodsSpescSalePrice() == null ? other.getGoodsSpescSalePrice() == null : this.getGoodsSpescSalePrice().equals(other.getGoodsSpescSalePrice()))
            && (this.getGoodsVpdId() == null ? other.getGoodsVpdId() == null : this.getGoodsVpdId().equals(other.getGoodsVpdId()))
            && (this.getGoodsVpdKey() == null ? other.getGoodsVpdKey() == null : this.getGoodsVpdKey().equals(other.getGoodsVpdKey()))
            && (this.getGoodsVpdSource() == null ? other.getGoodsVpdSource() == null : this.getGoodsVpdSource().equals(other.getGoodsVpdSource()))
            && (this.getGoodsCount() == null ? other.getGoodsCount() == null : this.getGoodsCount().equals(other.getGoodsCount()))
            && (this.getTotalPrice() == null ? other.getTotalPrice() == null : this.getTotalPrice().equals(other.getTotalPrice()))
            && (this.getTotalDeductionPrice() == null ? other.getTotalDeductionPrice() == null : this.getTotalDeductionPrice().equals(other.getTotalDeductionPrice()))
            && (this.getCouponDiscountPrice() == null ? other.getCouponDiscountPrice() == null : this.getCouponDiscountPrice().equals(other.getCouponDiscountPrice()))
            && (this.getIntegralDiscountPrice() == null ? other.getIntegralDiscountPrice() == null : this.getIntegralDiscountPrice().equals(other.getIntegralDiscountPrice()))
            && (this.getPayRealPrice() == null ? other.getPayRealPrice() == null : this.getPayRealPrice().equals(other.getPayRealPrice()))
            && (this.getPayChannel() == null ? other.getPayChannel() == null : this.getPayChannel().equals(other.getPayChannel()))
            && (this.getPaySerialNo() == null ? other.getPaySerialNo() == null : this.getPaySerialNo().equals(other.getPaySerialNo()))
            && (this.getPayType() == null ? other.getPayType() == null : this.getPayType().equals(other.getPayType()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getPayTime() == null ? other.getPayTime() == null : this.getPayTime().equals(other.getPayTime()))
            && (this.getCancelTime() == null ? other.getCancelTime() == null : this.getCancelTime().equals(other.getCancelTime()))
            && (this.getRefundTime() == null ? other.getRefundTime() == null : this.getRefundTime().equals(other.getRefundTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrderNo() == null) ? 0 : getOrderNo().hashCode());
        result = prime * result + ((getChildOrderNo() == null) ? 0 : getChildOrderNo().hashCode());
        result = prime * result + ((getMerId() == null) ? 0 : getMerId().hashCode());
        result = prime * result + ((getPlatformCode() == null) ? 0 : getPlatformCode().hashCode());
        result = prime * result + ((getUserId() == null) ? 0 : getUserId().hashCode());
        result = prime * result + ((getUserPhone() == null) ? 0 : getUserPhone().hashCode());
        result = prime * result + ((getGoodsId() == null) ? 0 : getGoodsId().hashCode());
        result = prime * result + ((getGoodsName() == null) ? 0 : getGoodsName().hashCode());
        result = prime * result + ((getGoodsTypeId() == null) ? 0 : getGoodsTypeId().hashCode());
        result = prime * result + ((getGoodsTypeName() == null) ? 0 : getGoodsTypeName().hashCode());
        result = prime * result + ((getGoodsBrandId() == null) ? 0 : getGoodsBrandId().hashCode());
        result = prime * result + ((getGoodsBrandName() == null) ? 0 : getGoodsBrandName().hashCode());
        result = prime * result + ((getGoodsSpecsId() == null) ? 0 : getGoodsSpecsId().hashCode());
        result = prime * result + ((getGoodsSpecsName() == null) ? 0 : getGoodsSpecsName().hashCode());
        result = prime * result + ((getGoodsSpescOriginalPrice() == null) ? 0 : getGoodsSpescOriginalPrice().hashCode());
        result = prime * result + ((getGoodsSpescSalePrice() == null) ? 0 : getGoodsSpescSalePrice().hashCode());
        result = prime * result + ((getGoodsVpdId() == null) ? 0 : getGoodsVpdId().hashCode());
        result = prime * result + ((getGoodsVpdKey() == null) ? 0 : getGoodsVpdKey().hashCode());
        result = prime * result + ((getGoodsVpdSource() == null) ? 0 : getGoodsVpdSource().hashCode());
        result = prime * result + ((getGoodsCount() == null) ? 0 : getGoodsCount().hashCode());
        result = prime * result + ((getTotalPrice() == null) ? 0 : getTotalPrice().hashCode());
        result = prime * result + ((getTotalDeductionPrice() == null) ? 0 : getTotalDeductionPrice().hashCode());
        result = prime * result + ((getCouponDiscountPrice() == null) ? 0 : getCouponDiscountPrice().hashCode());
        result = prime * result + ((getIntegralDiscountPrice() == null) ? 0 : getIntegralDiscountPrice().hashCode());
        result = prime * result + ((getPayRealPrice() == null) ? 0 : getPayRealPrice().hashCode());
        result = prime * result + ((getPayChannel() == null) ? 0 : getPayChannel().hashCode());
        result = prime * result + ((getPaySerialNo() == null) ? 0 : getPaySerialNo().hashCode());
        result = prime * result + ((getPayType() == null) ? 0 : getPayType().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getPayTime() == null) ? 0 : getPayTime().hashCode());
        result = prime * result + ((getCancelTime() == null) ? 0 : getCancelTime().hashCode());
        result = prime * result + ((getRefundTime() == null) ? 0 : getRefundTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", orderNo=").append(orderNo);
        sb.append(", childOrderNo=").append(childOrderNo);
        sb.append(", merId=").append(merId);
        sb.append(", platformCode=").append(platformCode);
        sb.append(", userId=").append(userId);
        sb.append(", userPhone=").append(userPhone);
        sb.append(", goodsId=").append(goodsId);
        sb.append(", goodsName=").append(goodsName);
        sb.append(", goodsTypeId=").append(goodsTypeId);
        sb.append(", goodsTypeName=").append(goodsTypeName);
        sb.append(", goodsBrandId=").append(goodsBrandId);
        sb.append(", goodsBrandName=").append(goodsBrandName);
        sb.append(", goodsSpecsId=").append(goodsSpecsId);
        sb.append(", goodsSpecsName=").append(goodsSpecsName);
        sb.append(", goodsSpescOriginalPrice=").append(goodsSpescOriginalPrice);
        sb.append(", goodsSpescSalePrice=").append(goodsSpescSalePrice);
        sb.append(", goodsVpdId=").append(goodsVpdId);
        sb.append(", goodsVpdKey=").append(goodsVpdKey);
        sb.append(", goodsVpdSource=").append(goodsVpdSource);
        sb.append(", goodsCount=").append(goodsCount);
        sb.append(", totalPrice=").append(totalPrice);
        sb.append(", totalDeductionPrice=").append(totalDeductionPrice);
        sb.append(", couponDiscountPrice=").append(couponDiscountPrice);
        sb.append(", integralDiscountPrice=").append(integralDiscountPrice);
        sb.append(", payRealPrice=").append(payRealPrice);
        sb.append(", payChannel=").append(payChannel);
        sb.append(", paySerialNo=").append(paySerialNo);
        sb.append(", payType=").append(payType);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", payTime=").append(payTime);
        sb.append(", cancelTime=").append(cancelTime);
        sb.append(", refundTime=").append(refundTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}